Bug 501084 - nash is badly documented, half of the builtins are missing in manpage
nash is badly documented, half of the builtins are missing in manpage
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mkinitrd (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Brian Lane
Release Test Team
: ManPageChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-15 18:00 EDT by Roland Kletzing
Modified: 2013-03-20 09:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-20 09:51:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Roland Kletzing 2009-05-15 18:00:04 EDT
Description of problem:
last week i configured multipath boot for a customer and found the init script to use nash minimalistic script parser on startup. i saw some command like "stabilized" inside and could not find any information for that. i got the sources for nash and take a look inside and it seems the manpage is badly outdated and nearly missing half of the builtin commands of nash.

Version-Release number of selected component (if applicable):
5.1.19.6

How reproducible:
n/a

Steps to Reproduce:
1.n/a
2.
3.
  
Actual results:
information missing in manpage

Expected results:
all informatio about nash builtins should be documented in manpage

Additional info:
Comment 1 Roland Kletzing 2009-05-16 05:01:25 EDT
others need that information, too 

see http://www.gossamer-threads.com/lists/linux/kernel/1061004

btw, what is the "stabilized" command for and what does it do exactly (including options like --hash) ?
Comment 2 David Cantrell 2013-03-20 09:51:36 EDT
mkinitrd is a dead end at this point, RHEL-6 and later have moved to dracut.

Note You need to log in before you can comment on or make changes to this bug.